=== gui/CMakeLists.txt ===
add_subdirectory(pinyindictmanager)
