=== debian/changelog ===
fcitx5-chinese-addons (0.0~git20200117.4261e23-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Feb 2020 22:56:15 -0500

fcitx5-chinese-addons (0.0~git20200117.4261e23-1) unstable; urgency=medium

  * Initial release. (Closes: #949328)

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jan 2020 20:33:28 -0800
