## fcitx5-chinese-addons 0.0~git20200626.dfa59e5

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,8 @@
 include(ECMUninstallTarget)
 
 find_package(Fcitx5Core REQUIRED)
-find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell)
+find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell Clipboard TestFrontend)
+find_package(Fcitx5ModuleLuaAddonLoader)
 find_package(LibIntl REQUIRED)
 find_package(Pthread REQUIRED)
 find_package(PkgConfig REQUIRED)
@@ -30,17 +31,27 @@
 # Options
 #######################################################################
 option(ENABLE_TEST "Build Test" On)
+option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
 option(ENABLE_OPENCC "Enable OpenCC for chttrans" On)
 option(ENABLE_GUI "Enable Configure Gui" On)
+option(ENABLE_BROWSER "Enable built-in browser." On)
+option(USE_WEBKIT "Use WebKit as browser backend." On)
 
 if (ENABLE_OPENCC)
     find_package(OpenCC REQUIRED)
 endif()
 
 if (ENABLE_GUI)
-    find_package(Qt5 REQUIRED COMPONENTS DBus WebEngineWidgets Concurrent)
+    find_package(Qt5 REQUIRED COMPONENTS DBus Concurrent)
     find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
     find_package(Fcitx5Qt5DBusAddons REQUIRED)
+    if (ENABLE_BROWSER)
+        if (USE_WEBKIT)
+            find_package(Qt5WebKitWidgets REQUIRED)
+        else()
+            find_package(Qt5WebEngineWidgets REQUIRED)
+        endif()
+    endif()
 endif()
 
 find_package(Boost 1.61 REQUIRED COMPONENTS iostreams)
@@ -61,6 +72,8 @@
     add_subdirectory(gui)
 endif()
 
+add_subdirectory(icon)
+
 if (ENABLE_TEST)
     enable_testing()
     add_subdirectory(test)
@@ -68,7 +81,7 @@
     if (ENABLE_COVERAGE)
         add_custom_target(coverage
                         COMMAND "${CMAKE_CTEST_COMMAND}"
-                        COMMAND lcov --capture --directory ./ --output-file coverage.info
+                        COMMAND lcov --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
                         COMMAND genhtml coverage.info --output-directory "coverage_pages"
                         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
     endif()
