=== test/CMakeLists.txt ===
--- 
+++ 
@@ -13,4 +13,11 @@
 add_executable(testpinyinhelper testpinyinhelper.cpp)
 target_link_libraries(testpinyinhelper Fcitx5::Core Fcitx5::Module::PinyinHelper)
 add_dependencies(testpinyinhelper pinyinhelper pinyinhelper.conf.in-fmt)
-add_test(NAME testpinyinhelper COMMAND testpinyinhelper ${PROJECT_BINARY_DIR}/modules/pinyinhelper)
+add_test(NAME testpinyinhelper COMMAND testpinyinhelper)
+
+add_subdirectory(addon)
+add_subdirectory(inputmethod)
+add_executable(testpinyin testpinyin.cpp)
+target_link_libraries(testpinyin Fcitx5::Core Fcitx5::Module::TestFrontend Pthread::Pthread)
+add_dependencies(testpinyin pinyin pinyinhelper copy-addon copy-im)
+add_test(NAME testpinyin COMMAND testpinyin)
