=== debian/changelog ===
fcitx5-chinese-addons (0.0~git20200626.dfa59e5-3) unstable; urgency=medium

  * Manual rebuild for opencc 1.1+ transition.
  * debian/rules: Drop unnecessary linker flags.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jul 2020 10:58:09 -0400

fcitx5-chinese-addons (0.0~git20200626.dfa59e5-2) unstable; urgency=medium

  * Team upload.
  * Bump libime to 0.0~git20200626

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 03 Jul 2020 13:27:34 +0800

fcitx5-chinese-addons (0.0~git20200626.dfa59e5-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot. (Closes: #957196)
  * Bump debhelper-compat to 13
  * Refresh patches
  * Bump fcitx5 to 0.0~git20200626.2e9821a

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 02 Jul 2020 12:35:06 +0800

fcitx5-chinese-addons (0.0~git20200409.5a087da-2) unstable; urgency=medium

  * Team upload.
  * Add qtbase5-dev to Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Apr 2020 23:57:55 +0800

fcitx5-chinese-addons (0.0~git20200409.5a087da-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Only build depend qtwebengine on available arch
  * Bump fcitx5 to 0.0~git20200409.6409547

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Apr 2020 23:16:52 +0800

fcitx5-chinese-addons (0.0~git20200323.346414a-1) unstable; urgency=medium

  * Team upload.
  * Add patch to rename icon to fcitx5
  * Install new icons
  * Bump libime to 0.0~git20200318

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Mar 2020 04:37:25 +0800

fcitx5-chinese-addons (0.0~git20200311.25bd23c-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Update debian/copyright info for new version.
  * Bump libimepinyin-dev to 0.0~git20200310.
  * Add libime-bin to Build-Depends.
  * Install emoji dict to fcitx5-pinyin package.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 13 Mar 2020 00:58:25 +0800
