=== debian/control ===
--- 
+++ 
@@ -6,23 +6,25 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 3.6.0),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev,
+ fcitx5-modules-dev (>= 0.0~git20200626),
  gettext,
  libboost-iostreams-dev,
  libcurl4-openssl-dev | libcurl-dev,
  libfcitx5-qt-dev,
- libfcitx5config-dev,
- libfcitx5core-dev,
- libfcitx5utils-dev,
+ libfcitx5config-dev (>= 0.0~git20200626),
+ libfcitx5core-dev (>= 0.0~git20200626),
+ libfcitx5utils-dev (>= 0.0~git20200626),
  libfmt-dev,
- libimecore-dev,
- libimepinyin-dev,
- libimetable-dev,
- libopencc-dev (>= 1.0.4),
+ libime-bin (>= 0.0~git20200626),
+ libimecore-dev (>= 0.0~git20200626),
+ libimepinyin-dev (>= 0.0~git20200626),
+ libimetable-dev (>= 0.0~git20200626),
+ libopencc-dev (>= 1.1~),
  pkg-config,
- qtwebengine5-dev,
+ qtbase5-dev,
+ qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-chinese-addons
