=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

override_dh_auto_configure:
ifeq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mipsel))
	dh_auto_configure -- -DENABLE_BROWSER=OFF
else
	dh_auto_configure -- -DUSE_WEBKIT=OFF
endif

# Standard test requires full installation.
# Allow it to be failing in "make test".
override_dh_auto_test:
	-dh_auto_test
