=== test/CMakeLists.txt ===
--- 
+++ 
@@ -15,9 +15,23 @@
 add_dependencies(testpinyinhelper pinyinhelper pinyinhelper.conf.in-fmt)
 add_test(NAME testpinyinhelper COMMAND testpinyinhelper)
 
+add_executable(testfullwidth testfullwidth.cpp)
+target_link_libraries(testfullwidth Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
+add_dependencies(testfullwidth fullwidth fullwidth.conf.in-fmt)
+add_test(NAME testfullwidth COMMAND testfullwidth)
+
+add_subdirectory(inputmethod)
+add_executable(testchttrans testchttrans.cpp)
+target_link_libraries(testchttrans Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
+add_dependencies(testchttrans chttrans chttrans.conf.in-fmt copy-addon copy-testim)
+add_test(NAME testchttrans COMMAND testchttrans)
+
 add_subdirectory(addon)
-add_subdirectory(inputmethod)
 add_executable(testpinyin testpinyin.cpp)
 target_link_libraries(testpinyin Fcitx5::Core Fcitx5::Module::TestFrontend Pthread::Pthread)
 add_dependencies(testpinyin pinyin pinyinhelper copy-addon copy-im)
 add_test(NAME testpinyin COMMAND testpinyin)
+add_executable(testtable testtable.cpp)
+target_link_libraries(testtable Fcitx5::Core Fcitx5::Module::TestFrontend Pthread::Pthread)
+add_dependencies(testtable table copy-addon copy-im)
+add_test(NAME testtable COMMAND testtable)
