=== debian/changelog ===
fcitx5-chinese-addons (5.0.4-1+deb11u1) bullseye; urgency=medium

  * debian/control: Add missing package dependency relationship:
    + fcitx5-table:
      - fcitx5-module-pinyinhelper (Dep)
      - fcitx5-module-punctuation (Dep) (Closes: #1001739)

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Dec 2021 20:09:19 -0500

fcitx5-chinese-addons (5.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 15:29:37 +0800

fcitx5-chinese-addons (5.0.3-2) unstable; urgency=medium

  * Team upload.
  * Reupload with 5.0.2-2 changes

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 19 Jan 2021 13:12:48 +0800

fcitx5-chinese-addons (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Update Standards-Version to 4.5.1 (no changes)
  * Bump fcitx5 to 5.0.4
  * Bump libime to 1.0.3

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 19 Jan 2021 12:37:29 +0800

fcitx5-chinese-addons (5.0.2-2) unstable; urgency=medium

  * Rebuild before Debian 11 release.
  * debian/control: Bump Standards-Version to 4.5.1.
  * Let fcitx5-chinese-addons package recommends fcitx5.
  * Mark that fcitx5-chinese-addons package enhances fcitx5.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Dec 2020 12:43:38 -0500

fcitx5-chinese-addons (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Fix uscan watch file syntax
  * Refresh patches
  * Bump fcitx5 and libime version
  * Using icon with org.fcitx.Fcitx5 prefix
  * Fix appstream metainfo file install path

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 19:54:20 +0800

fcitx5-chinese-addons (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Apply Multi-Arch hints
  * Bump fcitx5 to 5.0.1
  * Bump libime to 1.0.1
  * Add appstream to B-D
  * Install appstream metainfo

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 07 Nov 2020 01:23:58 +0800

fcitx5-chinese-addons (0.0~git20201028.930b4c2-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * as-needed LDFLAGS is not needed since bullseye
  * Don't ignore test result
  * Remove Multi-Arch same annotation.
    There are conflict files in /usr/share
  * Add pystroke and pytable components
  * Refresh patches
  * Bump fcitx5 to 0.0~git20201030
  * Bump libime to 0.0~git20201029
  * Fix pystroke and pytable path when testing
  * Temporary disable testchttrans

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 31 Oct 2020 23:35:29 +0800
