=== debian/control ===
--- 
+++ 
@@ -5,27 +5,28 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
+ appstream,
  cmake (>= 3.6.0),
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev (>= 0.0~git20200626),
+ fcitx5-modules-dev (>= 5.0.4),
  gettext,
  libboost-iostreams-dev,
  libcurl4-openssl-dev | libcurl-dev,
  libfcitx5-qt-dev,
- libfcitx5config-dev (>= 0.0~git20200626),
- libfcitx5core-dev (>= 0.0~git20200626),
- libfcitx5utils-dev (>= 0.0~git20200626),
+ libfcitx5config-dev (>= 5.0.4),
+ libfcitx5core-dev (>= 5.0.4),
+ libfcitx5utils-dev (>= 5.0.4),
  libfmt-dev,
- libime-bin (>= 0.0~git20200626),
- libimecore-dev (>= 0.0~git20200626),
- libimepinyin-dev (>= 0.0~git20200626),
- libimetable-dev (>= 0.0~git20200626),
+ libime-bin (>= 1.0.3),
+ libimecore-dev (>= 1.0.3),
+ libimepinyin-dev (>= 1.0.3),
+ libimetable-dev (>= 1.0.3),
  libopencc-dev (>= 1.1~),
  pkg-config,
  qtbase5-dev,
  qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-chinese-addons
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons.git
@@ -40,6 +41,10 @@
  fcitx5-pinyin,
  fcitx5-table,
  ${misc:Depends},
+Recommends:
+ fcitx5,
+Enhances:
+ fcitx5,
 Description: Chinese-related addon for fcitx5 (metapackage)
  For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
  pinyin and table input method support.
@@ -157,7 +162,7 @@
  provide better compatibility across different Linux distributions
  and desktop environments.
  .
- This package provides the chttrans module. It enhances the input
+ This package provides the fullwidth module. It enhances the input
  experience of full-width characters.
 
 Package: fcitx5-module-pinyinhelper
@@ -285,6 +290,8 @@
 Multi-Arch: same
 Depends:
  fcitx5-chinese-addons-data,
+ fcitx5-module-pinyinhelper (= ${binary:Version}),
+ fcitx5-module-punctuation (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Fcitx Input Method Framework v5 (builtin table support)
