=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
ifeq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mipsel))
	dh_auto_configure -- -DENABLE_BROWSER=OFF
else
	dh_auto_configure -- -DUSE_WEBKIT=OFF
endif

execute_before_dh_auto_test:
	ln -sf $(CURDIR)/pystroke/py_stroke.mb  obj-$(DEB_HOST_GNU_TYPE)/modules/pinyinhelper/
	ln -sf $(CURDIR)/pytable/py_table.mb obj-$(DEB_HOST_GNU_TYPE)/modules/pinyinhelper/
